# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.CacheService

Packages that use CacheService
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of CacheService in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that implement CacheService
Modifier and Type
Class
Description
`final class`
`CacheServiceImpl`
An implementation of a `CacheService` that handles the consistent conversion between `CredentialRecord`s and username cache entries using the supplied strategies.
`class`
`DisabledCacheServiceImpl`
A no-op implementation of a `CacheService`.
Fields in net.shibboleth.idp.plugin.authn.webauthn.storage.impl declared as CacheService
Modifier and Type
Field
Description
`private CacheService`
IdPStorageServiceCredentialRepository.`credentialIdMappingCacheService`
The service used to manage the credentialId to username mapping cache.
`private CacheService`
IdPStorageServiceCredentialRepository.`userHandleMappingCacheService`
The service used to manage the userHandle to username mapping cache.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that return CacheService
Modifier and Type
Method
Description
`protected CacheService`
IdPStorageServiceCredentialRepository.`getCredentialIdMappingCacheService()`
Get the credentialId to username cache service for testing.
`protected CacheService`
IdPStorageServiceCredentialRepository.`getUserHandleMappingCacheService()`
Get the userHandle to username cache service for testing.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl with parameters of type CacheService
Modifier and Type
Method
Description
`void`
IdPStorageServiceCredentialRepository.`setCredentialIdMappingCacheService(CacheService cache)`
Set the credentialId to username cache service.
`void`
IdPStorageServiceCredentialRepository.`setUserHandleMappingCacheService(CacheService cache)`
Set the userHandle to username cache service.